# Type Definitions

The following type definitions are available globally.

- `IGListUpdaterCompletion`

  A block to execute when list updates completes.

  #### Declaration

  Objective-C

      typedef void (^IGListUpdaterCompletion)(BOOL)

  #### Parameters

  `finished` | Specifies whether or not the updates finished.

- `IGListSingleSectionCellConfigureBlock`

  A block used to configure cells.

  #### Declaration

  Objective-C

      typedef void (^IGListSingleSectionCellConfigureBlock)(
          id _Nonnull, __kindof UICollectionViewCell *_Nonnull)

  #### Parameters

  `item` | The model with which to configure the cell.
  `cell` | The cell to configure.

- `IGListSingleSectionCellSizeBlock`

  A block that returns the size for the cell given the collection context.

  #### Declaration

  Objective-C

      typedef CGSize (^IGListSingleSectionCellSizeBlock)(
          id _Nonnull, id<IGListCollectionContext> _Nullable)

  #### Parameters

  `item` | The model for the section.
  `collectionContext` | The collection context for the section.

  #### Return Value

  The for the cell.

- `IGListUpdatingCompletion`

  A completion block to execute when updates are finished.

  #### Declaration

  Objective-C

      typedef void (^IGListUpdatingCompletion)(BOOL)

  #### Parameters

  `finished` | Specifies whether or not the update finished.

- `IGListObjectTransitionBlock`

  A block to be called when the adapter applies changes to the collection view.

  #### Declaration

  Objective-C

      typedef void (^IGListObjectTransitionBlock)(NSArray *_Nonnull)

  Swift

      typealias IGListObjectTransitionBlock = (UnsafeMutablePointer

  #### Parameters

  `toObjects` | The new objects in the collection.

- `IGListItemUpdateBlock`

  A block that contains all of the updates.

  #### Declaration

  Objective-C

      typedef void (^IGListItemUpdateBlock)()

  Swift

      typealias IGListItemUpdateBlock = () -> Void

- `IGListReloadUpdateBlock`

  A block to be called when an adapter reloads the collection view.

  #### Declaration

  Objective-C

      typedef void (^IGListReloadUpdateBlock)()

  Swift

      typealias IGListReloadUpdateBlock = () -> Void

© 2017 Instagram. All rights reserved. (Last updated: 2017-01-04)

Generated by jazzy ♪♫ v0.7.3, a Realm project.